/* Block: Title — shared component styles (standalone + inside bullets) */

.as-product-canvas .block-title { margin-top: 0; }

.block-title h2 {
    opacity: 0;
}

main.single .block-title h2 {
    text-box-trim: none;
}



.block-title h2 .line {
    padding-bottom: 0.2em;
    margin-bottom: -0.2em;
}

.block-title .cols {
    width: 100%;
    gap: var(--system-spacing-gap-xl);
    align-items: flex-end;
    justify-content: space-between;
}

.block-title .title-description {
    gap: var(--system-spacing-gap-sm);
    justify-content: space-between;
    color: var(--system-fg-muted);
    text-align:right;
}


@container page-content (max-width: 1500px) {
    .block-title .col.w-25 { width: 30%; }
}


@container page-content (max-width: 1024px) {
    .block-title .cols { gap: var(--system-spacing-gap-sm); }
    .block-title .title-description { min-width: 0; }
    .block-title .col.w-25 { width: 100%; }
    .block-title .col.w-25 p { text-align: center; }
}


.block-title.layout-vertical {
    display: flex;
    justify-content: center;
}
.block-title.layout-vertical .cols {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: var(--system-spacing-gap-sm);
    max-width: 968px;
    width: 100%;
}

.block-title.layout-vertical .cols .col {
    width:100%;;
    align-items:center;
    justify-content:center;
}

.block-title.layout-vertical .title-description {
    text-align: center;
}

.block-title.layout-vertical .single-chips.has-icon {
    justify-content: center;
}
